! Genereaza M
! Triunghiul superior - pe COLOANE.
! Cadru etajat - 3 grade de lib. Excitatie armonica.
! ngl =3

subroutine gen_M()
use work
! Genereaza matricea de masa M in tabloul M(nn); nn =ngl*(ngl+1)/2)
implicit real(8) (a-h, o-z)

! ngl =3

M =0.

m(loca(1,1)) =2.; m(loca(1,2)) =1.

m(loca(2,2)) =3.; m(loca(2,3)) =1.
m(loca(3,3)) =2


END subroutine gen_M
